kfree
Prev | The Slab Cache | Next

## Name

kfree — free previously allocated memory

## Synopsis

`void kfree (` | const void * | objp`)`;

## Arguments

`objp`

  pointer returned by kmalloc.

## Description

If `objp` is NULL, no operation is performed.

Don't free memory not originally allocated by `kmalloc` or you will run into trouble.

Prev | Up | Next
kmem_cache_free | Home | User Space Memory Access